[gitg] Only run git submodule update if checked out from git



commit 95eff9c84cda1009a46e845a16745ccb8a4ca314
Author: Jesse van den Kieboom <jessevdk gnome org>
Date:   Sat Nov 26 13:16:43 2016 +0100

    Only run git submodule update if checked out from git

 autogen.sh |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index fced2c9..baf0ea6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -30,7 +30,9 @@ if test -z $LIBTOOL; then
         exit 1
 fi
 
-git submodule update --init --recursive
+if ! test -z `which git` && test -d .git; then
+        git submodule update --init --recursive
+fi
 
 if [ $? != 0 ]; then
     echo "*** Failed to download submodules. Maybe you have a bad connection or a submodule was not forked?"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]